Package: groovy.org.codenarc.rule.size

## [Groovy] Class NestedBlockDepthRule

- groovy.org.codenarc.rule.size.NestedBlockDepthRule

- Rule that checks for blocks or closures nested more than a configured maximum number. Blocks include if, for, while, switch, try, catch, finally and synchronized blocks/statements, as well as closures.

  The `maxNestedBlockDepth` property holds the threshold value for the maximum number of nesting levels. A block or closures nested deeper than that number of levels is considered a violation. The `maxNestedBlockDepth` property defaults to 3.
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreRegex`
    `int` | `maxNestedBlockDepth`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreRegex

    - #### int maxNestedBlockDepth

    - #### String name

    - #### int priority